#include "initscreen.h"
using namespace STDP;

void initscreen::mostrarPresents(){
	string produccion = "Lesbinary productions presenta:";

	StdPijo& stdp = StdPijo::p();
	stdp.init();
	stdp.clearScreen();
	stdp.setGlobalEscapeDelay(0);

	sleep(2);
	stdp.setColor(ANORMAL, CWHITE, CBLACK);

	//Mostramos letra a letra con un pequeño retardo
	for(int i = 0; (unsigned)i < produccion.length() ; i++){
		stdp.setCursor(23+i, 10);
		stdp.writeChar(produccion[i]);
		stdp.refreshScr();
		// Pequeño retardo
		usleep(45000);
	}

	sleep(2);
}

void initscreen::mostrarTitulo(){
	StdPijo& stdp = StdPijo::p();

	stdp.init();
	stdp.clearScreen();
    stdp.setGlobalEscapeDelay(0);
	stdp.setColor(ANORMAL, CYELLOW, CBLACK);
	stdp.setCursor(0,0);
	stdp.refreshScr();

	stdp.writeStr("	                                    ");
	stdp.setCursor(0,1);
	stdp.writeStr("	888b     d888 d8b                   ");
	stdp.setCursor(0,2);
	stdp.writeStr("	8888b   d8888 Y8P                   ");
	stdp.setCursor(0,3);
	stdp.writeStr("	88888b.d88888                       ");
	stdp.setCursor(0,4);
	stdp.writeStr("	888Y88888P888 888 88888b.   8888b.  ");
	stdp.setCursor(0,5);
	stdp.writeStr("	888 Y888P 888 888 888 \"88b     \"88b ");
	stdp.setCursor(0,6);
	stdp.writeStr("	888  Y8P  888 888 888  888 .d888888 ");
	stdp.setCursor(0,7);
	stdp.writeStr("	888   \"   888 888 888  888 888  888 ");
	stdp.setCursor(0,8);
	stdp.writeStr("	888       888 888 888  888 \"Y888888 ");
	stdp.setCursor(0,9);
	stdp.writeStr("	                                    ");
	stdp.setCursor(0,10);
	stdp.writeStr("	                                    ");
	sleep(1);
	stdp.refreshScr();


	stdp.setCursor(0,11);
	stdp.writeStr("	       d8888                   888                  888         ");
	stdp.setCursor(0,12);
	stdp.writeStr("	      d88888                   888                  888         ");
	stdp.setCursor(0,13);
	stdp.writeStr("	     d88P888                   888                  888         ");
	stdp.setCursor(0,14);
	stdp.writeStr("	    d88P 888  .d88b.   .d88b.  888888  8888b.   .d88888  8888b. ");
	stdp.setCursor(0,15);
	stdp.writeStr("	   d88P  888 d88P\"88b d88\"\"88b 888        \"88b d88\" 888     \"88b");
	stdp.setCursor(0,16);
	stdp.writeStr("	  d88P   888 888  888 888  888 888    .d888888 888  888 .d888888");
	stdp.setCursor(0,17);
	stdp.writeStr("	 d8888888888 Y88b 888 Y88..88P Y88b.  888  888 Y88b 888 888  888");
	stdp.setCursor(0,18);
	stdp.writeStr("	d88P     888  \"Y88888  \"Y88P\"   \"Y888 \"Y888888  \"Y88888 \"Y888888");
	stdp.setCursor(0,19);
	stdp.writeStr("	                  888                                           ");
	stdp.setCursor(0,20);
	stdp.writeStr("	             Y8b d88P                                           ");
	stdp.setCursor(0,21);
	stdp.writeStr("	              \"Y88P\"                                            ");
	sleep(2);
	stdp.refreshScr();


	sleep(2);


	//Mostraremos de forma intermitente el cartel de pulsar Enter como el decorado, hasta pulsarlo y que se haga una animación
	do{
		stdp.setColor(ANORMAL, CGREEN, CBLACK);
		stdp.setCursor(33,22);
		stdp.writeStr("Presione ENTER para empezar a jugar");
		stdp.refreshScr();
		usleep(150000);


		stdp.setColor(ANORMAL, CWHITE, CBLACK);

		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar(' ');
			stdp.setCursor(i,23);
			stdp.writeChar(' ');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar(' ');
			stdp.setCursor(79,i);
			stdp.writeChar(' ');
		}


		stdp.refreshScr();
		usleep(200000);


		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar('*');
			stdp.setCursor(i,23);
			stdp.writeChar('*');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar('*');
			stdp.setCursor(79,i);
			stdp.writeChar('*');
		}


		stdp.refreshScr();
		usleep(200000);

		stdp.setCursor(33,22);
		stdp.writeStr("                                   ");
		stdp.refreshScr();
		usleep(150000);
	}while (stdp.getKey() != KENTER);
	for(int i = 0; i < 80; i++){
		stdp.setCursor(i,0);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 0; i < 24; i++){
		stdp.setCursor(79,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 79; i >= 0; i--){
		stdp.setCursor(i,23);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 23; i >= 0; i--){
		stdp.setCursor(0,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}
	sleep(1);
	stdp.writeStr("	                                    ");
	stdp.setCursor(0,1);
	stdp.writeStr("	****     **** ***                   ");
	stdp.setCursor(0,2);
	stdp.writeStr("	*****   ***** ***                   ");
	stdp.setCursor(0,3);
	stdp.writeStr("	*************                       ");
	stdp.setCursor(0,4);
	stdp.writeStr("	************* *** *******   ******  ");
	stdp.setCursor(0,5);
	stdp.writeStr("	*** ***** *** *** *** ****     **** ");
	stdp.setCursor(0,6);
	stdp.writeStr("	***  ***  *** *** ***  *** ******** ");
	stdp.setCursor(0,7);
	stdp.writeStr("	***   *   *** *** ***  *** ***  *** ");
	stdp.setCursor(0,8);
	stdp.writeStr("	***       *** *** ***  *** ******** ");
	stdp.setCursor(0,9);
	stdp.writeStr("	                                    ");
	stdp.setCursor(0,10);
	stdp.writeStr("	                                    ");

	stdp.setCursor(0,11);
	stdp.writeStr("	       *****                   ***                  ***         ");
	stdp.setCursor(0,12);
	stdp.writeStr("	      ******                   ***                  ***         ");
	stdp.setCursor(0,13);
	stdp.writeStr("	     *******                   ***                  ***         ");
	stdp.setCursor(0,14);
	stdp.writeStr("	    **** ***  ******   ******  ******  ******   *******  ****** ");
	stdp.setCursor(0,15);
	stdp.writeStr("	   ****  *** ******** ******** ***        **** **** ***     ****");
	stdp.setCursor(0,16);
	stdp.writeStr("	  ****   *** ***  *** ***  *** ***    ******** ***  *** ********");
	stdp.setCursor(0,17);
	stdp.writeStr("	 *********** **** *** ******** *****  ***  *** **** *** ***  ***");
	stdp.setCursor(0,18);
	stdp.writeStr("	****     ***  *******  ******   ***** ********  ******* ********");
	stdp.setCursor(0,19);
	stdp.writeStr("	                  ***                                           ");
	stdp.setCursor(0,20);
	stdp.writeStr("	             *** ****                                           ");
	stdp.setCursor(0,21);
	stdp.writeStr("	              ******                                            ");
	stdp.refreshScr();

	usleep(50000);

	stdp.clearScreen();
	stdp.refreshScr();
	sleep(1);
}
